/* Variables */
:root {
    --primary-color: #3C5EAB;
    --accent-color: #7f99d6;
    --offwhite-color: #F8F8F8;
    --white-color: #FFFFFF;
    --text-color: #000;
    --font-main: "Roboto Mono", sans-serif;
    --font-quote: "Garamond", serif;
    --quote-color: #ecf0f8;
    --font-weight-light: 300;
    --font-weight-medium: 500;
    --font-weight-semibold: 600;
}

html {
    width: 100%;
    background-color: var(--offwhite-color);
    background-image: url("images/plut0_bg.png");
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
}

body {
    max-width: 400px;
    display: table;
    margin: auto;
}

main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex-wrap: wrap;
    row-gap: 0px;

}

.lang {
    color: var(--accent-color);
    text-decoration: underline;
}

.lang:hover {
    text-decoration: none;
}

.menu {
    list-style-type: none;
    display: flex;
    justify-content: center;
    padding: 0;
    max-width: 100%;
    z-index: -1;
}

.menu a {
    font-family: var(--font-main);
    display: block;
    margin: 0.5rem 0.5rem -1.2rem 0.5rem;
    margin-top: auto;
    padding: 0.4rem;
    text-align: center;
    background-color: var(--primary-color);
    text-decoration: none;
    border-radius: 4px 4px 0px 0px;
    color: var(--offwhite-color);
    font-size: small;

}

.menu a:hover {
    background-color: var(--accent-color);
    -webkit-transform: translateY(2px);
    transform: translateY(2px);
    transition: all 0.1s;
    color: var(--primary-color);
}


.button:hover {
    background-color: var(--accent-color);
    text-decoration: underline;
    color: var(--primary-color)
}

.button {
    font-family: var(--font-main);
    display: block;
    text-align: center;
    background-color: var(--primary-color);
    width: 200px;
    margin: auto;
    margin-top: 15px;
    margin-bottom: 20px;
    padding: 5px;
    border-radius: 10px;
    color: var(--offwhite-color);
    text-decoration: none;
    transition: all 0.2s;
}

.content {
    position: relative;
    display: inline-flex;
    justify-content: center;
    background-color: var(--offwhite-color);
    border: 2px solid var(--primary-color);
    border-radius: 4px;
    padding: 20px 20px;
    height: 550px;
    margin: 0;
    overflow-y: scroll;
    scrollbar-width: thin;
    z-index: 3;

    p {
        font-family: var(--font-main);
        color: var(--text-color);
    }

    h1 {
        font-family: var(--font-main);
        color: var(--primary-color);
    }

    h2 {
        font-family: var(--font-main);
        color: var(--primary-color);
    }

    li {
        font-family: var(--font-main);
        list-style: url("images/star.png");
    }


    .nav ul {
        list-style-type: none;
    }

    .nav a, p a
    {
        color: var(--text-color);
        text-decoration: underline;
    }

    .nav a:hover li a:hover,
    a:hover {
        text-decoration: none;
    }

    /**.up{
        position: absolute;
        top: 80%;
        background-color: var(--offwhite-color);
        text-decoration: none;
        color: var(--text-color);
        z-index: 3;
        border-radius: 10px;
        width: 15px;
        height: 15px;
    }**/
    .up {
        color: #3C5EAB;
        text-align: center;
        text-decoration: none;
    }

    iframe {
        width: 100%;
        margin: auto;
    }

    .citation {
        width: 80%;
        margin: auto;
        padding: 20px;
        border-radius: 10px 0 10px 0;
        box-shadow: 5px 5px 0px var(--primary-color);
        font-family: var(--font-quote);
        background-color: var(--quote-color);
        color: var(--primary-color);
    }


}

img {
    display: block;
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    margin: 15px;
    margin-left: auto;
    margin-right: auto;
    border-radius: 15px;
}

.insert {
    border-radius: 0px;
    position: relative;
    float: left;
    max-width: 90px;
    max-height: 90px;
    margin: 0 10px 10px 0;
}






@media only screen and (min-width: 600px) {
    body {
        transition: all 0.5s;
    }

    .menu a {
        min-width: 100px;
        font-size: small;
    }

    .content {
        max-height: 500px;

    }

}

@media only screen and (min-width: 768px) {
    body {
        min-width: 700px;
        transition: all 0.5s;
        font-size: medium;
    }

    .menu a {
        min-width: 100px;
    }

    .content {
        max-height: 500px;

    }
}

#labaronne {
    background-color: #02250a;
    padding: 20px;
    color: #b7c827;
    border-radius: 40px;
    p{
        color: #b7c827;
    }
    img {
        border-radius: 20px;
        margin: auto;
        margin-bottom: 10px;
    }
    a {
        color: #b7c827;
    }
    .button {
        background-color: #b7c827;
        color: #02250a;
    }
    .button:hover{
        background-color: #d4e44a;
    }
}

#exode {
    background-color: #373e41;
    padding: 20px;
    color: #eaf1ff;
    border-radius: 10px;
    p, h2{
        color: #eaf1ff;
    }
    img {
        border-radius: 20px;
        margin: auto;
        margin-bottom: 10px;
    }
    a {
        color: #eaf1ff;
    }
    .button {
        background-color: #eaf1ff;
        color: #02250a;
    }
    .button:hover{
        background-color: #eaf1ff;
    }
}

#s414{
    background-color: #373e41;
    padding: 20px;
    color: #eaf1ff;
    border-radius: 10px;
    p, h2{
        color: #eaf1ff;
    }
    img {
        border-radius: 20px;
        margin: auto;
        margin-bottom: 10px;
    }
    a {
        color: #eaf1ff;
    }
    .button {
        background-color: #eaf1ff;
        color: #02250a;
    }
    .button:hover{
        background-color: #eaf1ff;
    }
}